package com.bsv.persistence.domains;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Embeddable;

import com.bankserv.common.db.BaseEntity;

/**
 * CmoSdrSyncOutId entity. @author MyEclipse Persistence Tools
 */
@SuppressWarnings({ "rawtypes", "serial" })
@Embeddable
public class CmoSdrSyncOutId extends BaseEntity implements java.io.Serializable {

	// Fields

	private String recordId;
	private double transSequenceNo;
	private String uniqOrderNo;
	private String service;
	private String subService;
	private Date transDate;
	private Date serviceDate;
	private Date settlementDate;
	private String serviceType;
	private String trnxType;
	private Integer transMember;
	private String transSite;
	private Integer citMember;
	private String citSite;
	private Integer sarbMember;
	private String sarbSite;
	private Integer hostMember;
	private String hostSite;
	private String costCentre;
	private String transactionStatus;
	private String cancelReason;
	private String reasonCode;
	private String bankReference;
	private String samosRrn;
	private String denomTypeRequired;
	private String denomIdRequired;
	private double orderLineValRequired;
	private short qualityRequired;
	private String sender;
	private String denomTypeConf;
	private String denomIdConf;
	private double denomLineValConf;
	private String denomQualityConf;
	private String bagNumber;
	private String sealNumber;
	private String newBagNumber;
	private String newSealNumber;
	private String insertUpdateInd;
	private String targetSyncDblink;

	// Constructors

	/** default constructor */
	public CmoSdrSyncOutId() {
	}

	/** minimal constructor */
	public CmoSdrSyncOutId(String uniqOrderNo, String transactionStatus) {
		this.uniqOrderNo = uniqOrderNo;
		this.transactionStatus = transactionStatus;
	}

	/** full constructor */
	public CmoSdrSyncOutId(String recordId, double transSequenceNo,
			String uniqOrderNo, String service, String subService,
			Date transDate, Date serviceDate, Date settlementDate,
			String serviceType, String trnxType, Integer transMember,
			String transSite, Integer citMember, String citSite,
			Integer sarbMember, String sarbSite, Integer hostMember,
			String hostSite, String costCentre, String transactionStatus,
			String cancelReason, String reasonCode, String bankReference,
			String samosRrn, String denomTypeRequired, String denomIdRequired,
			double orderLineValRequired, short qualityRequired, String sender,
			String denomTypeConf, String denomIdConf, double denomLineValConf,
			String denomQualityConf, String bagNumber, String sealNumber,
			String newBagNumber, String newSealNumber, String insertUpdateInd,
			String targetSyncDblink) {
		this.recordId = recordId;
		this.transSequenceNo = transSequenceNo;
		this.uniqOrderNo = uniqOrderNo;
		this.service = service;
		this.subService = subService;
		this.transDate = transDate;
		this.serviceDate = serviceDate;
		this.settlementDate = settlementDate;
		this.serviceType = serviceType;
		this.trnxType = trnxType;
		this.transMember = transMember;
		this.transSite = transSite;
		this.citMember = citMember;
		this.citSite = citSite;
		this.sarbMember = sarbMember;
		this.sarbSite = sarbSite;
		this.hostMember = hostMember;
		this.hostSite = hostSite;
		this.costCentre = costCentre;
		this.transactionStatus = transactionStatus;
		this.cancelReason = cancelReason;
		this.reasonCode = reasonCode;
		this.bankReference = bankReference;
		this.samosRrn = samosRrn;
		this.denomTypeRequired = denomTypeRequired;
		this.denomIdRequired = denomIdRequired;
		this.orderLineValRequired = orderLineValRequired;
		this.qualityRequired = qualityRequired;
		this.sender = sender;
		this.denomTypeConf = denomTypeConf;
		this.denomIdConf = denomIdConf;
		this.denomLineValConf = denomLineValConf;
		this.denomQualityConf = denomQualityConf;
		this.bagNumber = bagNumber;
		this.sealNumber = sealNumber;
		this.newBagNumber = newBagNumber;
		this.newSealNumber = newSealNumber;
		this.insertUpdateInd = insertUpdateInd;
		this.targetSyncDblink = targetSyncDblink;
	}

	// Property accessors

	@Column(name = "RECORD_ID", length = 2)
	public String getRecordId() {
		return this.recordId;
	}

	public void setRecordId(String recordId) {
		this.recordId = recordId;
	}

	@Column(name = "TRANS_SEQUENCE_NO", precision = 0)
	public double getTransSequenceNo() {
		return this.transSequenceNo;
	}

	public void setTransSequenceNo(double transSequenceNo) {
		this.transSequenceNo = transSequenceNo;
	}

	@Column(name = "UNIQ_ORDER_NO", nullable = false, length = 20)
	public String getUniqOrderNo() {
		return this.uniqOrderNo;
	}

	public void setUniqOrderNo(String uniqOrderNo) {
		this.uniqOrderNo = uniqOrderNo;
	}

	@Column(name = "SERVICE", length = 4)
	public String getService() {
		return this.service;
	}

	public void setService(String service) {
		this.service = service;
	}

	@Column(name = "SUB_SERVICE", length = 10)
	public String getSubService() {
		return this.subService;
	}

	public void setSubService(String subService) {
		this.subService = subService;
	}

	@Column(name = "TRANS_DATE", length = 7)
	public Date getTransDate() {
		return this.transDate;
	}

	public void setTransDate(Date transDate) {
		this.transDate = transDate;
	}

	@Column(name = "SERVICE_DATE", length = 7)
	public Date getServiceDate() {
		return this.serviceDate;
	}

	public void setServiceDate(Date serviceDate) {
		this.serviceDate = serviceDate;
	}

	@Column(name = "SETTLEMENT_DATE", length = 7)
	public Date getSettlementDate() {
		return this.settlementDate;
	}

	public void setSettlementDate(Date settlementDate) {
		this.settlementDate = settlementDate;
	}

	@Column(name = "SERVICE_TYPE", length = 3)
	public String getServiceType() {
		return this.serviceType;
	}

	public void setServiceType(String serviceType) {
		this.serviceType = serviceType;
	}

	@Column(name = "TRNX_TYPE", length = 1)
	public String getTrnxType() {
		return this.trnxType;
	}

	public void setTrnxType(String trnxType) {
		this.trnxType = trnxType;
	}

	@Column(name = "TRANS_MEMBER", precision = 6, scale = 0)
	public Integer getTransMember() {
		return this.transMember;
	}

	public void setTransMember(Integer transMember) {
		this.transMember = transMember;
	}

	@Column(name = "TRANS_SITE", length = 18)
	public String getTransSite() {
		return this.transSite;
	}

	public void setTransSite(String transSite) {
		this.transSite = transSite;
	}

	@Column(name = "CIT_MEMBER", precision = 6, scale = 0)
	public Integer getCitMember() {
		return this.citMember;
	}

	public void setCitMember(Integer citMember) {
		this.citMember = citMember;
	}

	@Column(name = "CIT_SITE", length = 18)
	public String getCitSite() {
		return this.citSite;
	}

	public void setCitSite(String citSite) {
		this.citSite = citSite;
	}

	@Column(name = "SARB_MEMBER", precision = 6, scale = 0)
	public Integer getSarbMember() {
		return this.sarbMember;
	}

	public void setSarbMember(Integer sarbMember) {
		this.sarbMember = sarbMember;
	}

	@Column(name = "SARB_SITE", length = 18)
	public String getSarbSite() {
		return this.sarbSite;
	}

	public void setSarbSite(String sarbSite) {
		this.sarbSite = sarbSite;
	}

	@Column(name = "HOST_MEMBER", precision = 6, scale = 0)
	public Integer getHostMember() {
		return this.hostMember;
	}

	public void setHostMember(Integer hostMember) {
		this.hostMember = hostMember;
	}

	@Column(name = "HOST_SITE", length = 18)
	public String getHostSite() {
		return this.hostSite;
	}

	public void setHostSite(String hostSite) {
		this.hostSite = hostSite;
	}

	@Column(name = "COST_CENTRE", length = 25)
	public String getCostCentre() {
		return this.costCentre;
	}

	public void setCostCentre(String costCentre) {
		this.costCentre = costCentre;
	}

	@Column(name = "TRANSACTION_STATUS", nullable = false, length = 1)
	public String getTransactionStatus() {
		return this.transactionStatus;
	}

	public void setTransactionStatus(String transactionStatus) {
		this.transactionStatus = transactionStatus;
	}

	@Column(name = "CANCEL_REASON", length = 25)
	public String getCancelReason() {
		return this.cancelReason;
	}

	public void setCancelReason(String cancelReason) {
		this.cancelReason = cancelReason;
	}

	@Column(name = "REASON_CODE", length = 15)
	public String getReasonCode() {
		return this.reasonCode;
	}

	public void setReasonCode(String reasonCode) {
		this.reasonCode = reasonCode;
	}

	@Column(name = "BANK_REFERENCE", length = 25)
	public String getBankReference() {
		return this.bankReference;
	}

	public void setBankReference(String bankReference) {
		this.bankReference = bankReference;
	}

	@Column(name = "SAMOS_RRN", length = 30)
	public String getSamosRrn() {
		return this.samosRrn;
	}

	public void setSamosRrn(String samosRrn) {
		this.samosRrn = samosRrn;
	}

	@Column(name = "DENOM_TYPE_REQUIRED", length = 3)
	public String getDenomTypeRequired() {
		return this.denomTypeRequired;
	}

	public void setDenomTypeRequired(String denomTypeRequired) {
		this.denomTypeRequired = denomTypeRequired;
	}

	@Column(name = "DENOM_ID_REQUIRED", length = 4)
	public String getDenomIdRequired() {
		return this.denomIdRequired;
	}

	public void setDenomIdRequired(String denomIdRequired) {
		this.denomIdRequired = denomIdRequired;
	}

	@Column(name = "ORDER_LINE_VAL_REQUIRED", precision = 14, scale = 1)
	public double getOrderLineValRequired() {
		return this.orderLineValRequired;
	}

	public void setOrderLineValRequired(double orderLineValRequired) {
		this.orderLineValRequired = orderLineValRequired;
	}

	@Column(name = "QUALITY_REQUIRED", precision = 3, scale = 0)
	public short getQualityRequired() {
		return this.qualityRequired;
	}

	public void setQualityRequired(short qualityRequired) {
		this.qualityRequired = qualityRequired;
	}

	@Column(name = "SENDER", length = 2)
	public String getSender() {
		return this.sender;
	}

	public void setSender(String sender) {
		this.sender = sender;
	}

	@Column(name = "DENOM_TYPE_CONF", length = 3)
	public String getDenomTypeConf() {
		return this.denomTypeConf;
	}

	public void setDenomTypeConf(String denomTypeConf) {
		this.denomTypeConf = denomTypeConf;
	}

	@Column(name = "DENOM_ID_CONF", length = 4)
	public String getDenomIdConf() {
		return this.denomIdConf;
	}

	public void setDenomIdConf(String denomIdConf) {
		this.denomIdConf = denomIdConf;
	}

	@Column(name = "DENOM_LINE_VAL_CONF", precision = 14)
	public double getDenomLineValConf() {
		return this.denomLineValConf;
	}

	public void setDenomLineValConf(double denomLineValConf) {
		this.denomLineValConf = denomLineValConf;
	}

	@Column(name = "DENOM_QUALITY_CONF", length = 3)
	public String getDenomQualityConf() {
		return this.denomQualityConf;
	}

	public void setDenomQualityConf(String denomQualityConf) {
		this.denomQualityConf = denomQualityConf;
	}

	@Column(name = "BAG_NUMBER", length = 10)
	public String getBagNumber() {
		return this.bagNumber;
	}

	public void setBagNumber(String bagNumber) {
		this.bagNumber = bagNumber;
	}

	@Column(name = "SEAL_NUMBER", length = 20)
	public String getSealNumber() {
		return this.sealNumber;
	}

	public void setSealNumber(String sealNumber) {
		this.sealNumber = sealNumber;
	}

	@Column(name = "NEW_BAG_NUMBER", length = 10)
	public String getNewBagNumber() {
		return this.newBagNumber;
	}

	public void setNewBagNumber(String newBagNumber) {
		this.newBagNumber = newBagNumber;
	}

	@Column(name = "NEW_SEAL_NUMBER", length = 20)
	public String getNewSealNumber() {
		return this.newSealNumber;
	}

	public void setNewSealNumber(String newSealNumber) {
		this.newSealNumber = newSealNumber;
	}

	@Column(name = "INSERT_UPDATE_IND", length = 1)
	public String getInsertUpdateInd() {
		return this.insertUpdateInd;
	}

	public void setInsertUpdateInd(String insertUpdateInd) {
		this.insertUpdateInd = insertUpdateInd;
	}

	@Column(name = "TARGET_SYNC_DBLINK", length = 20)
	public String getTargetSyncDblink() {
		return this.targetSyncDblink;
	}

	public void setTargetSyncDblink(String targetSyncDblink) {
		this.targetSyncDblink = targetSyncDblink;
	}

	public boolean equals(Object other) {
		if ((this == other))
			return true;
		if ((other == null))
			return false;
		if (!(other instanceof CmoSdrSyncOutId))
			return false;
		CmoSdrSyncOutId castOther = (CmoSdrSyncOutId) other;

		return ((this.getRecordId() == castOther.getRecordId()) || (this
				.getRecordId() != null && castOther.getRecordId() != null && this
				.getRecordId().equals(castOther.getRecordId())))
				&& (this.getTransSequenceNo() == castOther.getTransSequenceNo())
				&& ((this.getUniqOrderNo() == castOther.getUniqOrderNo()) || (this
						.getUniqOrderNo() != null
						&& castOther.getUniqOrderNo() != null && this
						.getUniqOrderNo().equals(castOther.getUniqOrderNo())))
				&& ((this.getService() == castOther.getService()) || (this
						.getService() != null && castOther.getService() != null && this
						.getService().equals(castOther.getService())))
				&& ((this.getSubService() == castOther.getSubService()) || (this
						.getSubService() != null
						&& castOther.getSubService() != null && this
						.getSubService().equals(castOther.getSubService())))
				&& ((this.getTransDate() == castOther.getTransDate()) || (this
						.getTransDate() != null
						&& castOther.getTransDate() != null && this
						.getTransDate().equals(castOther.getTransDate())))
				&& ((this.getServiceDate() == castOther.getServiceDate()) || (this
						.getServiceDate() != null
						&& castOther.getServiceDate() != null && this
						.getServiceDate().equals(castOther.getServiceDate())))
				&& ((this.getSettlementDate() == castOther.getSettlementDate()) || (this
						.getSettlementDate() != null
						&& castOther.getSettlementDate() != null && this
						.getSettlementDate().equals(
								castOther.getSettlementDate())))
				&& ((this.getServiceType() == castOther.getServiceType()) || (this
						.getServiceType() != null
						&& castOther.getServiceType() != null && this
						.getServiceType().equals(castOther.getServiceType())))
				&& ((this.getTrnxType() == castOther.getTrnxType()) || (this
						.getTrnxType() != null
						&& castOther.getTrnxType() != null && this
						.getTrnxType().equals(castOther.getTrnxType())))
				&& ((this.getTransMember() == castOther.getTransMember()) || (this
						.getTransMember() != null
						&& castOther.getTransMember() != null && this
						.getTransMember().equals(castOther.getTransMember())))
				&& ((this.getTransSite() == castOther.getTransSite()) || (this
						.getTransSite() != null
						&& castOther.getTransSite() != null && this
						.getTransSite().equals(castOther.getTransSite())))
				&& ((this.getCitMember() == castOther.getCitMember()) || (this
						.getCitMember() != null
						&& castOther.getCitMember() != null && this
						.getCitMember().equals(castOther.getCitMember())))
				&& ((this.getCitSite() == castOther.getCitSite()) || (this
						.getCitSite() != null && castOther.getCitSite() != null && this
						.getCitSite().equals(castOther.getCitSite())))
				&& ((this.getSarbMember() == castOther.getSarbMember()) || (this
						.getSarbMember() != null
						&& castOther.getSarbMember() != null && this
						.getSarbMember().equals(castOther.getSarbMember())))
				&& ((this.getSarbSite() == castOther.getSarbSite()) || (this
						.getSarbSite() != null
						&& castOther.getSarbSite() != null && this
						.getSarbSite().equals(castOther.getSarbSite())))
				&& ((this.getHostMember() == castOther.getHostMember()) || (this
						.getHostMember() != null
						&& castOther.getHostMember() != null && this
						.getHostMember().equals(castOther.getHostMember())))
				&& ((this.getHostSite() == castOther.getHostSite()) || (this
						.getHostSite() != null
						&& castOther.getHostSite() != null && this
						.getHostSite().equals(castOther.getHostSite())))
				&& ((this.getCostCentre() == castOther.getCostCentre()) || (this
						.getCostCentre() != null
						&& castOther.getCostCentre() != null && this
						.getCostCentre().equals(castOther.getCostCentre())))
				&& ((this.getTransactionStatus() == castOther
						.getTransactionStatus()) || (this
						.getTransactionStatus() != null
						&& castOther.getTransactionStatus() != null && this
						.getTransactionStatus().equals(
								castOther.getTransactionStatus())))
				&& ((this.getCancelReason() == castOther.getCancelReason()) || (this
						.getCancelReason() != null
						&& castOther.getCancelReason() != null && this
						.getCancelReason().equals(castOther.getCancelReason())))
				&& ((this.getReasonCode() == castOther.getReasonCode()) || (this
						.getReasonCode() != null
						&& castOther.getReasonCode() != null && this
						.getReasonCode().equals(castOther.getReasonCode())))
				&& ((this.getBankReference() == castOther.getBankReference()) || (this
						.getBankReference() != null
						&& castOther.getBankReference() != null && this
						.getBankReference()
						.equals(castOther.getBankReference())))
				&& ((this.getSamosRrn() == castOther.getSamosRrn()) || (this
						.getSamosRrn() != null
						&& castOther.getSamosRrn() != null && this
						.getSamosRrn().equals(castOther.getSamosRrn())))
				&& ((this.getDenomTypeRequired() == castOther
						.getDenomTypeRequired()) || (this
						.getDenomTypeRequired() != null
						&& castOther.getDenomTypeRequired() != null && this
						.getDenomTypeRequired().equals(
								castOther.getDenomTypeRequired())))
				&& ((this.getDenomIdRequired() == castOther
						.getDenomIdRequired()) || (this.getDenomIdRequired() != null
						&& castOther.getDenomIdRequired() != null && this
						.getDenomIdRequired().equals(
								castOther.getDenomIdRequired())))
				&& (this.getOrderLineValRequired() == castOther
						.getOrderLineValRequired())
				&& (this.getQualityRequired() == castOther.getQualityRequired())
				&& ((this.getSender() == castOther.getSender()) || (this
						.getSender() != null && castOther.getSender() != null && this
						.getSender().equals(castOther.getSender())))
				&& ((this.getDenomTypeConf() == castOther.getDenomTypeConf()) || (this
						.getDenomTypeConf() != null
						&& castOther.getDenomTypeConf() != null && this
						.getDenomTypeConf()
						.equals(castOther.getDenomTypeConf())))
				&& ((this.getDenomIdConf() == castOther.getDenomIdConf()) || (this
						.getDenomIdConf() != null
						&& castOther.getDenomIdConf() != null && this
						.getDenomIdConf().equals(castOther.getDenomIdConf())))
				&& (this.getDenomLineValConf() == castOther
						.getDenomLineValConf())
				&& ((this.getDenomQualityConf() == castOther
						.getDenomQualityConf()) || (this.getDenomQualityConf() != null
						&& castOther.getDenomQualityConf() != null && this
						.getDenomQualityConf().equals(
								castOther.getDenomQualityConf())))
				&& ((this.getBagNumber() == castOther.getBagNumber()) || (this
						.getBagNumber() != null
						&& castOther.getBagNumber() != null && this
						.getBagNumber().equals(castOther.getBagNumber())))
				&& ((this.getSealNumber() == castOther.getSealNumber()) || (this
						.getSealNumber() != null
						&& castOther.getSealNumber() != null && this
						.getSealNumber().equals(castOther.getSealNumber())))
				&& ((this.getNewBagNumber() == castOther.getNewBagNumber()) || (this
						.getNewBagNumber() != null
						&& castOther.getNewBagNumber() != null && this
						.getNewBagNumber().equals(castOther.getNewBagNumber())))
				&& ((this.getNewSealNumber() == castOther.getNewSealNumber()) || (this
						.getNewSealNumber() != null
						&& castOther.getNewSealNumber() != null && this
						.getNewSealNumber()
						.equals(castOther.getNewSealNumber())))
				&& ((this.getInsertUpdateInd() == castOther
						.getInsertUpdateInd()) || (this.getInsertUpdateInd() != null
						&& castOther.getInsertUpdateInd() != null && this
						.getInsertUpdateInd().equals(
								castOther.getInsertUpdateInd())))
				&& ((this.getTargetSyncDblink() == castOther
						.getTargetSyncDblink()) || (this.getTargetSyncDblink() != null
						&& castOther.getTargetSyncDblink() != null && this
						.getTargetSyncDblink().equals(
								castOther.getTargetSyncDblink())));
	}

	public int hashCode() {
		int result = 17;

		result = 37 * result
				+ (getRecordId() == null ? 0 : this.getRecordId().hashCode());
		result = 37 * result + (int) this.getTransSequenceNo();
		result = 37
				* result
				+ (getUniqOrderNo() == null ? 0 : this.getUniqOrderNo()
						.hashCode());
		result = 37 * result
				+ (getService() == null ? 0 : this.getService().hashCode());
		result = 37
				* result
				+ (getSubService() == null ? 0 : this.getSubService()
						.hashCode());
		result = 37 * result
				+ (getTransDate() == null ? 0 : this.getTransDate().hashCode());
		result = 37
				* result
				+ (getServiceDate() == null ? 0 : this.getServiceDate()
						.hashCode());
		result = 37
				* result
				+ (getSettlementDate() == null ? 0 : this.getSettlementDate()
						.hashCode());
		result = 37
				* result
				+ (getServiceType() == null ? 0 : this.getServiceType()
						.hashCode());
		result = 37 * result
				+ (getTrnxType() == null ? 0 : this.getTrnxType().hashCode());
		result = 37
				* result
				+ (getTransMember() == null ? 0 : this.getTransMember()
						.hashCode());
		result = 37 * result
				+ (getTransSite() == null ? 0 : this.getTransSite().hashCode());
		result = 37 * result
				+ (getCitMember() == null ? 0 : this.getCitMember().hashCode());
		result = 37 * result
				+ (getCitSite() == null ? 0 : this.getCitSite().hashCode());
		result = 37
				* result
				+ (getSarbMember() == null ? 0 : this.getSarbMember()
						.hashCode());
		result = 37 * result
				+ (getSarbSite() == null ? 0 : this.getSarbSite().hashCode());
		result = 37
				* result
				+ (getHostMember() == null ? 0 : this.getHostMember()
						.hashCode());
		result = 37 * result
				+ (getHostSite() == null ? 0 : this.getHostSite().hashCode());
		result = 37
				* result
				+ (getCostCentre() == null ? 0 : this.getCostCentre()
						.hashCode());
		result = 37
				* result
				+ (getTransactionStatus() == null ? 0 : this
						.getTransactionStatus().hashCode());
		result = 37
				* result
				+ (getCancelReason() == null ? 0 : this.getCancelReason()
						.hashCode());
		result = 37
				* result
				+ (getReasonCode() == null ? 0 : this.getReasonCode()
						.hashCode());
		result = 37
				* result
				+ (getBankReference() == null ? 0 : this.getBankReference()
						.hashCode());
		result = 37 * result
				+ (getSamosRrn() == null ? 0 : this.getSamosRrn().hashCode());
		result = 37
				* result
				+ (getDenomTypeRequired() == null ? 0 : this
						.getDenomTypeRequired().hashCode());
		result = 37
				* result
				+ (getDenomIdRequired() == null ? 0 : this.getDenomIdRequired()
						.hashCode());
		result = 37 * result + (int) this.getOrderLineValRequired();
		result = 37 * result + this.getQualityRequired();
		result = 37 * result
				+ (getSender() == null ? 0 : this.getSender().hashCode());
		result = 37
				* result
				+ (getDenomTypeConf() == null ? 0 : this.getDenomTypeConf()
						.hashCode());
		result = 37
				* result
				+ (getDenomIdConf() == null ? 0 : this.getDenomIdConf()
						.hashCode());
		result = 37 * result + (int) this.getDenomLineValConf();
		result = 37
				* result
				+ (getDenomQualityConf() == null ? 0 : this
						.getDenomQualityConf().hashCode());
		result = 37 * result
				+ (getBagNumber() == null ? 0 : this.getBagNumber().hashCode());
		result = 37
				* result
				+ (getSealNumber() == null ? 0 : this.getSealNumber()
						.hashCode());
		result = 37
				* result
				+ (getNewBagNumber() == null ? 0 : this.getNewBagNumber()
						.hashCode());
		result = 37
				* result
				+ (getNewSealNumber() == null ? 0 : this.getNewSealNumber()
						.hashCode());
		result = 37
				* result
				+ (getInsertUpdateInd() == null ? 0 : this.getInsertUpdateInd()
						.hashCode());
		result = 37
				* result
				+ (getTargetSyncDblink() == null ? 0 : this
						.getTargetSyncDblink().hashCode());
		return result;
	}

}